What version of Kontakt do I need?

There seems to be quite a bit of confusion regarding this topic. For all our sample libraries you will need at least Kontakt 5.8.1 FULL version.

If you load our sample libraries into the Kontakt Player, you will see all libs appear as DEMO.

 

What is the Pulse downloader?

The Pulse downloader is a very easy to use tool, helping you to not just organize your purchased sample libraries, but also offering lightning fast download speed.

Once you've ordered one or several products, you will receive a confirmation email followed by a separate Pulse email with detailed information.

Basically you have to sign up with a Pulse account, download the Pulse downloader and install it.

Add the redeem codes (Add a product) of your purchased libraries, set a folder and download them.

Done :)

The cookie settings on this website are set to 'allow all cookies' to give you the very best experience. Please click Accept Cookies to continue to use the site.
You have successfully subscribed!